# BorderStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the border style for a control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum BorderStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum BorderStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                 |
| ---------- | --------------------------- |
| **Dashed** | A dashed line border.       |
| **Dotted** | A dotted line border.       |
| **Double** | A double solid line border. |
| **None**   | No border.                  |
| **Solid**  | A solid line border.        |

## Used By

| Name                                                                                                                                                           | Description                                                                                                                       |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| [Button.BorderStyle](/api/wisej.web/buttons/button.md#borderstyle)                                                                                             | Returns or sets the border style of the button control.                                                                           |
| [DateTimePicker.BorderStyle](/api/wisej.web/editors/wisej.web.datetimepicker.md#borderstyle)                                                                   | Returns or sets the type of border that is drawn around the [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md). |
| [Label.BorderStyle](/api/wisej.web/content/wisej.web.label.md#borderstyle)                                                                                     | Indicates the border style for the control.                                                                                       |
| [ListControl.BorderStyle](/api/wisej.web/lists-and-grids/listcontrol.md#borderstyle)                                                                           | Returns or sets the type of border that is drawn around the [ListControl](/api/wisej.web/lists-and-grids/listcontrol.md).         |
| [MonthCalendar.BorderStyle](/api/wisej.web/editors/monthcalendar.md#borderstyle)                                                                               | Returns or sets the type of border that is drawn around the [MonthCalendar](/api/wisej.web/editors/monthcalendar.md).             |
| [Panel.BorderStyle](/api/wisej.web/containers/wisej.web.panel.md#borderstyle)                                                                                  | Indicates the border style for the control.                                                                                       |
| [PictureBox.BorderStyle](/api/wisej.web/content/wisej.web.picturebox.md#borderstyle)                                                                           | Indicates the border style for the control.                                                                                       |
| [ProgressBar.BorderStyle](/api/wisej.web/content/wisej.web.progressbar.md#borderstyle)                                                                         | Indicates the border style for the control.                                                                                       |
| [SplitContainer.BorderStyle](/api/wisej.web/containers/splitcontainer.md#borderstyle)                                                                          | Returns or sets the style of border for the [SplitContainer](/api/wisej.web/containers/splitcontainer.md).                        |
| [TabControl.BorderStyle](/api/wisej.web/containers/tabcontrol.md#borderstyle)                                                                                  | Indicates the border style for the control.                                                                                       |
| [TextBoxBase.BorderStyle](/api/wisej.web/editors/wisej.web.textboxbase.md#borderstyle)                                                                         | Returns or sets the border type of the text box control.                                                                          |
| [UpDownBase.BorderStyle](/api/wisej.web/editors/wisej.web.updownbase.md#borderstyle)                                                                           | Returns or sets the border style for the spin box (also known as an up-down control).                                             |
| [UserControl.BorderStyle](/api/wisej.web/containers/wisej.web.usercontrol.md#borderstyle)                                                                      | Returns or sets the border style of the user control.                                                                             |
| [WebBrowser.BorderStyle](/api/wisej.web/content/webbrowser.md#borderstyle)                                                                                     | Indicates the border style for the control.                                                                                       |
| [DataGridView.BorderStyle](/api/wisej.web/lists-and-grids/datagridview.md#borderstyle)                                                                         | Returns or sets the border style for the [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md).                          |
| [DataRepeater.BorderStyle](/api/wisej.web/containers/datarepeater.md#borderstyle)                                                                              | Returns or sets the border style for the [DataRepeater](/api/wisej.web/containers/datarepeater.md) control.                       |
| [DataRepeater.ItemBorderStyle](/api/wisej.web/containers/datarepeater.md#itemborderstyle)                                                                      | Returns or sets the border style for the items in a [DataRepeater](/api/wisej.web/containers/datarepeater.md) control.            |
| [Accordion.BorderStyle](/api/wisej.web/containers/accordion.md#borderstyle)                                                                                    | Returns or sets the type of border that is drawn around the [Accordion](/api/wisej.web/containers/accordion.md) panel.            |
| [Canvas.BorderStyle](/api/wisej.web/content/canvas.md#borderstyle)                                                                                             | Indicates the border style for the control.                                                                                       |
| [FlashPlayer.BorderStyle](https://github.com/iceteagroup/wisej-docs-api/blob/v4.0/wisej.web/media/flashplayer/README.md#borderstyle)                           | Indicates the border style for the control.                                                                                       |
| [HtmlPanel.BorderStyle](/api/wisej.web/content/htmlpanel.md#borderstyle)                                                                                       | Indicates the border style for the control.                                                                                       |
| [IFramePanel.BorderStyle](/api/wisej.web/content/wisej.web.iframepanel.md#borderstyle)                                                                         | Indicates the border style for the control.                                                                                       |
| [Media.BorderStyle](https://github.com/iceteagroup/wisej-docs-api/blob/v4.0/wisej.web/media/media/README.md#borderstyle)                                       | Indicates the border style for the control.                                                                                       |
| [PdfViewer.BorderStyle](/api/wisej.web/content/pdfviewer.md#borderstyle)                                                                                       | Indicates the border style for the control.                                                                                       |
| [SlideBar.BorderStyle](/api/wisej.web/containers/wisej.web.slidebar.md#borderstyle)                                                                            | Returns or sets the type of border that is drawn around the [SlideBar](/api/wisej.web/containers/wisej.web.slidebar.md) control.  |
| [Widget.BorderStyle](/api/wisej.web/content/widget.md#borderstyle)                                                                                             | Indicates the border style for the control.                                                                                       |
| [ListView.BorderStyle](/api/wisej.web/lists-and-grids/listview.md#borderstyle)                                                                                 | Returns or sets the border style of the control.                                                                                  |
| [MenuBar.BorderStyle](/api/wisej.web/menus/wisej.web.menubar.md#borderstyle)                                                                                   | Returns or sets the border style of the [MenuBar](/api/wisej.web/menus/wisej.web.menubar.md) control.                             |
| [PropertyGrid.BorderStyle](/api/wisej.web/lists-and-grids/propertygrid.md#borderstyle)                                                                         | Indicates the border style for the property grid.                                                                                 |
| [ToolBar.BorderStyle](/api/wisej.web/containers/toolbar.md#borderstyle)                                                                                        | Returns or sets the border style of the toolbar control.                                                                          |
| [TreeView.BorderStyle](/api/wisej.web/lists-and-grids/treeview.md#borderstyle)                                                                                 | Gets or sets the border style of the tree view control.                                                                           |
| [MdiTabProperties.BorderStyle](/api/wisej.web/containers/form/wisej.web.mditabproperties.md#borderstyle)                                                       | Indicates the border style for the control.                                                                                       |
| [ButtonExtensions.BorderStyle](/api/wisej.web.markup/extensions/wisej.web.markup.buttonextensions.md#borderstyle-button-borderstyle)                           | Sets the BorderStyle property of the specified [Button](/api/wisej.web/buttons/button.md).                                        |
| [MonthCalendarExtenestions.BorderStyle](/api/wisej.web.markup/extensions/wisej.web.markup.monthcalendarextenestions.md#borderstyle-monthcalendar-borderstyle)  | Sets the BorderStyle property of the specified [MonthCalendar](/api/wisej.web/editors/monthcalendar.md).                          |
| [PictureBoxExtensions.BorderStyle](/api/wisej.web.markup/extensions/wisej.web.markup.pictureboxextensions.md#borderstyle-picturebox-borderstyle)               | Sets the BorderStyle property of the specified [PictureBox](/api/wisej.web/content/wisej.web.picturebox.md).                      |
| [ProgressBarExtensions.BorderStyle](/api/wisej.web.markup/extensions/wisej.web.markup.progressbarextensions.md#borderstyle-progressbar-borderstyle)            | Sets the border style of the specified progress bar.                                                                              |
| [ToolBarExtensions.BorderStyle](/api/wisej.web.markup/extensions/wisej.web.markup.toolbarextensions.md#borderstyle-toolbar-borderstyle)                        | Sets the border style of the specified [ToolBar](/api/wisej.web/containers/toolbar.md).                                           |
| [UpDownControlExtensions.BorderStyle](/api/wisej.web.markup/extensions/wisej.web.markup.updowncontrolextensions.md#borderstyle-updowncontrol-borderstyle)      | Sets the BorderStyle property of the specified UpDown control.                                                                    |
| [TabControlExtensions.BorderStyle](/api/wisej.web.markup/extensions/wisej.web.markup.tabcontrolextensions.md#borderstyle-tabcontrol-borderstyle)               | Sets the BorderStyle property of the specified [TabControl](/api/wisej.web/containers/tabcontrol.md).                             |
| [LabelExtensions.BorderStyle](/api/wisej.web.markup/extensions/wisej.web.markup.labelextensions.md#borderstyle-label-borderstyle)                              | Sets the BorderStyle property of the specified [Label](/api/wisej.web/content/wisej.web.label.md).                                |
| [SplitterControlExtensions.BorderStyle](/api/wisej.web.markup/extensions/wisej.web.markup.splittercontrolextensions.md#borderstyle-splitcontainer-borderstyle) | Sets the BorderStyle property of the specified [SplitContainer](/api/wisej.web/containers/splitcontainer.md).                     |
| [TextBoxExtensions.BorderStyle](/api/wisej.web.markup/extensions/wisej.web.markup.textboxextensions.md#borderstyle-textbox-borderstyle)                        | Sets the border style of the specified [TextBoxBase](/api/wisej.web/editors/wisej.web.textboxbase.md).                            |
| [ListControlExtensions.BorderStyle](/api/wisej.web.markup/extensions/wisej.web.markup.listcontrolextensions.md#borderstyle-listcontrol-borderstyle)            | Sets the BorderStyle property of the specified [ListControl](/api/wisej.web/lists-and-grids/listcontrol.md).                      |
| [WebBrowserExtensions.BorderStyle](/api/wisej.web.markup/extensions/wisej.web.markup.webbrowserextensions.md#borderstyle-webbrowser-borderstyle)               | Sets the BorderStyle property of the specified [WebBrowser](/api/wisej.web/content/webbrowser.md).                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.borderstyle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
